@import '@styles/variables';

button {
  width: 100%;
  height: 54px;
  border-radius: 4px;
  border: none;
  font-size: 16px;
  font-weight: 700;
  text-transform: capitalize;
  background-color: $color-white;
  cursor: pointer;
  padding: 0;

  &.submit {
    color: $color-white;
    background-color: $bg-blue;

    &:hover {
      background-color: $bg-blue-hover;
    }

    &:active {
      background-color: $bg-blue-active;
    }

    &:disabled {
      background-color: $bg-blue;
      opacity: 0.4;
    }
  }

  &.apple {
    height: 48px;
    color: $color-white;
    background-color: $bg-dark;

    &:hover {
      background-color: $bg-dark-hover;
    }

    &:active {
      background-color: $bg-dark-active;
    }

    &:disabled {
      background-color: $bg-blue;
      opacity: 0.4;
    }
  }

  &.pay {
    height: 48px;
    color: $color-dark;
    border: 1px solid $border-button-color;

    &:hover {
      border-color: $border-button-color-hover;
    }

    &:active {
      border-color: $border-button-color-hover;
      background-color: $bg-active;
    }
  }

  &.icon {
    height: auto;
    max-width: fit-content;
    color: $color-light-blue;
    display: flex;
    align-items: center;
  }

  &.close {
    height: auto;
    max-width: max-content;
    background-color: transparent;

    &:focus {
      outline: none;
    }
  }

  &.check {
    height: auto;
    max-width: max-content;
    position: absolute;
    top: 50%;
    right: 16px;
    transform: translateY(-50%);
  }
}
